# Configuration Files Repository

This repository contains a collection of configuration files for a variety of applications and shells. These files allow you to customize your working environment to your liking.

## Repository Structure

The repository has the following structure:

```sh
.
├── .bash_profile
├── .bashrc
├── .config
│   ├── alacritty
│   │   └── alacritty.yml
│   ├── bottom
│   │   └── bottom.toml
│   ├── fish
│   │   ├── abbreviations.fish
│   │   ├── config.fish
│   │   └── functions
│   │       ├── cfa.fish
│   │       ├── cfc.fish
│   │       ├── cf.fish
│   │       ├── cfp.fish
│   │       ├── cfs.fish
│   │       ├── fish_greeting.fish
│   │       ├── fish_user_key_bindings.fish
│   │       ├── sudo.fish
│   │       └── tdm.fish
│   ├── flameshot
│   │   └── flameshot.ini
│   ├── fontsearch.sh
│   ├── kitty
│   │   └── kitty.conf
│   ├── neofetch
│   │   └── config.conf
│   ├── picom
│   │   └── picom.conf
│   ├── pkg.list
│   ├── qtile
│   │   ├── config.py
│   │   ├── dhk
│   │   └── wallpaper
│   │       ├── background.jpg
│   │       ├── gunter_throne_1760x1262.png
│   │       ├── gunter_throne.png
│   │       ├── gunter_wallpaper_1920x1080_fill.png
│   │       ├── gunter_wallpaper3440x1440_fill.png
│   │       ├── gunter_wallpaper3440x1440.png
│   │       ├── gunter_wallpaper.png
│   │       ├── not_supported.png
│   │       ├── wallpaper.jpg
│   │       └── wallpaper.png
│   └── spotifyd
│       └── spotifyd.conf
├── .dir_colors
├── .git
│   └── ...
├── .inputrc
├── .local
│   └── bin
│       ├── bjendal
│       └── roshar
├── README.md
├── .tmux.conf
├── .vimrc
├── .xinitrc
└── .Xresources
```
